<?php
namespace Teknisa\PLA\Modules\Cardapio\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use \Teknisa\GER\Services\CrudService;

class Pla00X00LogCicloReport extends \Zeedhi\Framework\Controller\Report {

	protected $environment;
    protected $crudService;
    protected $birtStrategy;
    
    public function __construct($reportService, $environment, $crudService, $birtStrategy) {
        $this->environment = $environment;
        $this->crudService = $crudService;
        $this->birtStrategy = $birtStrategy;
        parent::__construct($reportService);
    }
	
	protected $reportMapping = array (
        'PLA00X00' => array (
            'strategy' => 'BIRT',
            'parameterMapping' =>
            array (
              "NRORG" => "P_NRORG",
              "CDFILIAL" => "P_CDFILIAL",
              "NRLOGCARDCICLO" => "P_NRLOGCARDCICLO"
            )
        ),
    );
    
    public function beforeProcessReport(DTO\Request\Row $request, DTO\Response $response) {
        $row = $request->getRow();
        $row['NRORG']=$this->environment->getNrOrg();
    }
}